# Guia de Referência

## Tabela de Funcionalidades

<table><thead><tr><th width="218">Funcionalidade</th><th width="334">Descrição</th><th width="154">Console</th><th width="109">Core</th><th></th></tr></thead><tbody><tr><td>settings / destination / event_rename</td><td>Dicionário para renomear eventos por destinos.</td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / urls_allowed</td><td>lista de urls as quais os eventos devem conter para continuar.  Pode ser utilizado o curinga * como http://meudomino.com/* ou https://meudominio.com/*/rotaRepetida. Importante: se tem protocolo será respeitado, caso não, apenas dominio.com/rota irão ser permitidos ambos http e https. <br>Expressões regulares são suportadas passando-as com /regex/ onde regex dever ser a expressão regular para obter o match com a url do evento. </td><td>não suportado</td><td>RC</td><td></td></tr><tr><td><strong>settings / destination / matched</strong></td><td></td><td>não suportado</td><td></td><td></td></tr><tr><td>settings / destination / matched / <strong>events</strong></td><td>envia para destinos para uma lista de eventos específicos</td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / matched / <strong>utm_case</strong></td><td>Validação de utm_case</td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / matched / <strong>utm_case</strong> / operation</td><td>indica o tipo de validação:<br>0: nenhuma utm (parâmetro) pode combinar<br>1: ao menos uma utm (parâmetro) deve combinar<br>2: todos utm (parâmetro) devem combinar.</td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / matched / <strong>utm_case</strong> / validate</td><td>Lista de dicionários com utm (parâmetro e valor a ser verificado. <br><code>Ex.:[{"utm_source": "hike"}, {"utm_source": "hike", "utm_medium": "cpc"}]</code>. </td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / matched / <strong>urls</strong></td><td>lista de urls que contém eventos permitidos.</td><td>não suportado</td><td>GA</td><td></td></tr><tr><td>settings / destination / events_allowed</td><td>MOVED TO: settings / destination / matched / events</td><td>não suportado</td><td>BETA</td><td></td></tr><tr><td>settings / destination / urls_allowed</td><td>MOVED TO: settings / destination / matched / urls</td><td>não suportado</td><td>BETA</td><td></td></tr><tr><td>settings / destination / origin_allowed</td><td>MOVED TO (DEVELOPMENT): settings / destination / matched / origins</td><td>não suportado</td><td>ALPHA</td><td></td></tr><tr><td></td><td></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agnosticdata.ai/agnosticdata.ai-or-documentation/fundamentals/guia-de-referencia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
